Skip to main content
PUT
/
store
/
setup
/
progress
Endpoint to update the store setup progress
curl --request PUT \
  --url https://services.leadconnectorhq.com/store/setup/progress \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "altId": "6578278e879ad2646715ba9c",
  "altType": "location",
  "onboardingCompletedAt": "2023-11-07T05:31:56Z"
}
'
{
  "status": true,
  "data": {},
  "message": "Successfully created"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
altId
string
required

Location Id or Agency Id

Example:

"6578278e879ad2646715ba9c"

altType
enum<string>
required
Available options:
location
onboardingCompletedAt
string<date-time>
required

Date when the setup was completed

Response

200 - application/json
status
boolean
required

Status of api action

Example:

true

data
object
required
message
string

Success message

Example:

"Successfully created"

Last modified on March 4, 2026